org.apache.sysds.parser.dml

## Class DmlParser.ExternalFunctionDefExpressionContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.FunctionStatementContext
      - - org.apache.sysds.parser.dml.DmlParser.ExternalFunctionDefExpressionContext

All Implemented Interfaces:
  org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree

Enclosing class:
  DmlParser

    public static class DmlParser.ExternalFunctionDefExpressionContext
    extends DmlParser.FunctionStatementContext

### Field Summary

Fields
`List<DmlParser.TypedArgNoAssignContext>` `inputParams`
`org.antlr.v4.runtime.Token` `name`
`List<DmlParser.StrictParameterizedKeyValueStringContext>` `otherParams`
`List<DmlParser.TypedArgNoAssignContext>` `outputParams`
`DmlParser.StrictParameterizedKeyValueStringContext` `strictParameterizedKeyValueString`
`DmlParser.TypedArgNoAssignContext` `typedArgNoAssign`

### Fields inherited from class org.apache.sysds.parser.dml.DmlParser.FunctionStatementContext

`info`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`EMPTY, invokingState, parent`

### Constructor Summary

Constructors
Constructor and Description
`ExternalFunctionDefExpressionContext(DmlParser.FunctionStatementContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void` `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`org.antlr.v4.runtime.tree.TerminalNode` `ID()`
`List<DmlParser.StrictParameterizedKeyValueStringContext>` `strictParameterizedKeyValueString()`
`DmlParser.StrictParameterizedKeyValueStringContext` `strictParameterizedKeyValueString(int i)`
`List<DmlParser.TypedArgNoAssignContext>` `typedArgNoAssign()`
`DmlParser.TypedArgNoAssignContext` `typedArgNoAssign(int i)`

### Methods inherited from class org.apache.sysds.parser.dml.DmlParser.FunctionStatementContext

`copyFrom, getRuleIndex`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addChild, addChild, addChild, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public org.antlr.v4.runtime.Token name

#### typedArgNoAssign

    public DmlParser.TypedArgNoAssignContext typedArgNoAssign

#### inputParams

    public List<DmlParser.TypedArgNoAssignContext> inputParams

#### outputParams

    public List<DmlParser.TypedArgNoAssignContext> outputParams

#### strictParameterizedKeyValueString

    public DmlParser.StrictParameterizedKeyValueStringContext strictParameterizedKeyValueString

#### otherParams

    public List<DmlParser.StrictParameterizedKeyValueStringContext> otherParams

### Constructor Detail

#### ExternalFunctionDefExpressionContext

    public ExternalFunctionDefExpressionContext(DmlParser.FunctionStatementContext ctx)

### Method Detail

#### ID

    public org.antlr.v4.runtime.tree.TerminalNode ID()

#### typedArgNoAssign

    public List<DmlParser.TypedArgNoAssignContext> typedArgNoAssign()

#### typedArgNoAssign

    public DmlParser.TypedArgNoAssignContext typedArgNoAssign(int i)

#### strictParameterizedKeyValueString

    public List<DmlParser.StrictParameterizedKeyValueStringContext> strictParameterizedKeyValueString()

#### strictParameterizedKeyValueString

    public DmlParser.StrictParameterizedKeyValueStringContext strictParameterizedKeyValueString(int i)

#### enterRule

    public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

#### exitRule

    public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`